<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@380064=99</action>
    </script>
  </cheat>

  <cheat desc="Start with Final Stage"> <comment>Set on first world map screen</comment>
    <script state="on">
      <action>maincpu.pb@380411=0C</action>
      <action>maincpu.pb@380413=FF</action>
      <action>maincpu.pb@380413=0B</action>
      <action>maincpu.pd@380415=09000600|(maincpu.pd@380415 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Boss Only Mode">
    <script state="run">
      <action>maincpu.pd@380415=09000600|(maincpu.pd@380415 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@382860=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pw@382814=0002</action>
    </script>
  </cheat>

  <cheat desc="Always Have Barrier PL1">
    <script state="run">
      <action>maincpu.pb@38285A=01|(maincpu.pb@38285A BAND ~01)</action>
      <action>maincpu.pw@382814=0002</action>
      <action>maincpu.pw@382856=000F</action>
      <action>maincpu.pb@38287E=07|(maincpu.pb@38287E BAND ~07)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Bomb PL1">
    <script state="on">
      <action>temp0 =maincpu.pb@38285A</action>
    </script>
    <script state="run">
      <action>maincpu.pb@38285A=02|(maincpu.pb@38285A BAND ~02)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@38285A=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Always Have Power Up PL1">
    <script state="run">
      <action>maincpu.pb@38285A=04|(maincpu.pb@38285A BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Speed Up PL1">
    <script state="run">
      <action>maincpu.pb@38285A=08|(maincpu.pb@38285A BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Bomb Now! PL1"> <comment>Kill all enemies on screen</comment>
    <script state="on">
      <action>maincpu.pb@38285A=80|(maincpu.pb@38285A BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@380070=00|(maincpu.pb@380070 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@382960=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pw@382914=0002</action>
    </script>
  </cheat>

  <cheat desc="Always Have Barrier PL2">
    <script state="run">
      <action>maincpu.pb@38295A=01|(maincpu.pb@38295A BAND ~01)</action>
      <action>maincpu.pw@382914=0002</action>
      <action>maincpu.pw@382956=000F</action>
      <action>maincpu.pb@38297E=07|(maincpu.pb@38297E BAND ~07)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Bomb PL2">
    <script state="on">
      <action>temp0 =maincpu.pb@38295A</action>
    </script>
    <script state="run">
      <action>maincpu.pb@38295A=02|(maincpu.pb@38295A BAND ~02)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@38295A=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Always Have Power Up PL2">
    <script state="run">
      <action>maincpu.pb@38295A=04|(maincpu.pb@38295A BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always Have Speed Up PL2">
    <script state="run">
      <action>maincpu.pb@38295A=08|(maincpu.pb@38295A BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Super Bomb Now! PL2"> <comment>Kill all enemies on screen</comment>
    <script state="on">
      <action>maincpu.pb@38295A=80|(maincpu.pb@38295A BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@380072=00|(maincpu.pb@380072 BAND ~10)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
